package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.BridgeObject;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllBridgesNode extends Renderable {
	
	private final List<BridgeObject> bridges;
	
	public AllBridgesNode(List<BridgeObject> bridges) {
		this.bridges = bridges;
	}

	@Override
	public void refreshTextColor() {
		// no color changes
	}

	@Override
	public String getText() {
		return "Bridges";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderBridges(bridges);
	}
}
