package de.hft.stuttgart.citydoctor2.webservice.utils;

public class HexUtils {
	
	private HexUtils() {
		// not used
	}
	
	public static String encode(byte[] bytes) {
		return encodeHexString(bytes);
	}
	
	private static String encodeHexString(byte[] byteArray) {
	    StringBuilder hexStringBuffer = new StringBuilder();
	    for (int i = 0; i < byteArray.length; i++) {
	    	byte num = byteArray[i];
	    	hexStringBuffer.append(Character.forDigit((num >> 4) & 0xF, 16));
	    	hexStringBuffer.append(Character.forDigit((num & 0xF), 16));
	    }
	    return hexStringBuffer.toString();
	}

}
